#include <stdio.h>
#include <stdlib.h>

int main(){
    int N;
    printf("Unesi N: ");
    scanf("%d", &N);
    long int A[N], B[N];
    for(int i = 0; i<N;i++)
    {
        printf("Unesi a[%d]", i+1);
        scanf("%d", &A[i]);
    }
    for(int i = 0; i<N;i++)
    {
        printf("Unesi b[%d]", i+1);
        scanf("%d", &B[i]);
    }
    long podniz=0;
    int ax, ba;
    for(int i =0; i < N; i++){
        for(int j=1;j <= N; j++){
                ax=A[i];
                ba=B[i];
            for(int t=1; t<j; t++){
                ax=ax^A[t];
                ba=ba&B[t];
            }
            if(ax * ba>podniz)
                podniz = ax*ba;
        }
    }
    printf("%ld", podniz);
    return 0;
}